/********************************** (C) COPYRIGHT *******************************
 * File Name          : main.c
 * Author             : WCH
 * Version            : V1.0.0
 * Date               : 2020/04/30
 * Description        : Main program body.
*********************************************************************************
* Copyright (c) 2021 Nanjing Qinheng Microelectronics Co., Ltd.
* Attention: This software (modified or not) and binary are used for 
* microcontroller manufactured by Nanjing Qinheng Microelectronics.
*******************************************************************************/

/*
 *@Note
 task1 and task2 alternate printing
*/

#include "debug.h"
#include "usbd_composite_km.h"
#include "ch32v10x_usbfs_device.h"
#include "adc.h"
#include "key.h"
#include "MyRTOS.h"





/*******************************************************************************
* Function Name  : main
* Description    : Main program.
* Input          : None
* Return         : None
*******************************************************************************/
int main(void)
{
    NVIC_PriorityGroupConfig(NVIC_PriorityGroup_2);
    Delay_Init();
    USART_Printf_Init(115200);
    printf("SystemClk:%d\r\n",SystemCoreClock);
    Delay_Ms(50);
    ADC_DMA_CONF();
    Key_Init();


    /* Initialize USBHD interface to communicate with the host  */
    USBHD_RCC_Init();
    USBHD_Device_Init(ENABLE);
    USB_Sleep_Wakeup_CFG();
    MyRTOS_Init();
    while(1)
    {
        printf("shouldn't run at here!!\n");
    }
}
